Name:		eggdrop
Version:	1.8.0
Release:	%mkrel 1
Summary:	IRC bot, written in C
Group:		Networking/IRC
License:	GPLv2+
URL:		http://www.eggheads.org/
Source0:	ftp://ftp.eggheads.org/pub/%{name}/source/1.8/%{name}-%{version}.tar.gz
BuildRequires:	tcl 
BuildRequires:	tcl-devel 
BuildRequires:	perl

%description
Eggdrop is an IRC bot, written in C.  If you don't know what IRC is,
this is probably not whatever you're looking for!  Eggdrop, being a
 bot, sits on a channel and takes protective measures: to keep the
channel from being taken over (in the few ways that anything CAN),

to recognize banished users or sites and reject them, to recognize
privileged users and let them gain ops, etc.

%prep
%setup -q

%build
export CPPFLAGS="%{optflags} -DHAVE_TCL_THREADS"
#any optimizations on PPC break bots
%ifnarch ppc
export CFLAGS="%optflags"
%endif
%configure2_5x --prefix=%{_prefix} --libdir=%{_libdir}

make config

%make LD="gcc %ldflags" \
	SHLIB_LD="gcc -shared -nostartfiles %ldflags" \
	MOD_LD="gcc %ldflags"

%install
mkdir -p %{buildroot}%{_libdir}/%{name}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_mandir}

make install prefix=%{buildroot}%{_libdir}/%{name}
mv %{buildroot}%{_libdir}/%{name}/doc/man1/ %{buildroot}%{_mandir}

#rpm installation complains otherwise due to rpm looking up the executables..
perl -pi -e s":/path/to/executable/%{name}:%{_libdir}/%{name}/%{name}:" %{_builddir}/%{name}-%{version}/%{name}.conf
cp -fR %{_builddir}/%{name}-%{version}/%{name}.conf %{buildroot}%{_docdir}/%{name}-%{version}/
cp -Rf %{_builddir}/%{name}-%{version}/scripts/botchk %{buildroot}%{_docdir}/%{name}-%{version}/

rm -rf %{buildroot}%{_libdir}/%{name}/filesys
cp -Rf %{buildroot}%{_libdir}/%{name}/doc/* %{buildroot}%{_docdir}/%{name}-%{version}/
rm -rf %{buildroot}%{_libdir}/%{name}/doc/
mv %{buildroot}%{_libdir}/%{name}/README %{buildroot}%{_docdir}/%{name}-%{version}/

%files
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/language
%dir %{_libdir}/%{name}/modules-%{version}
%dir %{_libdir}/%{name}/help
%dir %{_libdir}/%{name}/help/msg
%dir %{_libdir}/%{name}/help/set
%dir %{_libdir}/%{name}/scripts
%dir %{_libdir}/%{name}/logs
%dir %{_libdir}/%{name}/text
%{_libdir}/%{name}/language/*.lang
%{_libdir}/%{name}/text/*
%{_libdir}/%{name}/logs/*
%{_libdir}/%{name}/modules-%{version}/*.so
%{_libdir}/%{name}/%{name}-%{version}
%{_libdir}/%{name}/%{name}
%{_libdir}/%{name}/help/*.help
%{_libdir}/%{name}/help/msg/*.help
%{_libdir}/%{name}/help/set/*.help
%{_libdir}/%{name}/scripts/CONTENTS
%{_libdir}/%{name}/scripts/*.tcl
%{_libdir}/%{name}/scripts/botchk
%{_libdir}/%{name}/scripts/autobotchk
%{_libdir}/%{name}/scripts/weed
%{_libdir}/%{name}/%{name}.conf
%{_libdir}/%{name}/%{name}-basic.conf
%{_mandir}/man1/%{name}.1*

%doc %{_docdir}/*
%doc %{_libdir}/%{name}/modules


%changelog
* Mon Jan 02 2017 solbu <solbu> 1.8.0-1.mga6
+ Revision: 1079757
- New version: 1.8.0
- Clean up specfile

* Thu Feb 11 2016 umeabot <umeabot> 1.6.21-7.mga6
+ Revision: 953828
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 1.6.21-6.mga6
+ Revision: 886391
- add patch from Fedora to fix build with gcc5
- rebuild for new tcl 8.6.4

* Wed Oct 15 2014 umeabot <umeabot> 1.6.21-5.mga5
+ Revision: 748557
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.21-4.mga5
+ Revision: 678972
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6.21-3.mga4
+ Revision: 504088
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.6.21-2.mga3
+ Revision: 349539
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 22 2012 nanardon <nanardon> 1.6.21-1.mga3
+ Revision: 283077
- 1.6.21

  + kharec <kharec>
    - imported package eggdrop

